Bug 1479537 - Refresh Failing - String Not Recognized Metric Type - OpenShift Hawkular
Refresh Failing - String Not Recognized Metric Type - OpenShift Hawkular
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: Zohar Gal-Or
juwatts
container
: TestOnly, ZStream
Depends On:
Blocks: 1496932 1511957
  Show dependency treegraph
 
Reported: 2017-08-08 14:21 EDT by myoder
Modified: 2017-11-16 14:52 EST (History)
12 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1496932 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)

  None (edit)
Description myoder 2017-08-08 14:21:52 EDT
Description of problem: During a refresh of OpenShift provider, hitting the ERROR 'string is not a recognized metric type'

[----] I, [2017-08-07T03:48:04.098915 #9679:1041130]  INFO -- : MIQ(MiqQueue#deliver) Message id: [200000015100768], Delivering...
[----] I, [2017-08-07T03:48:04.122654 #9679:1041130]  INFO -- : MIQ(ManageIQ::Providers::Openshift::ContainerManager::Refresher#refresh) Refreshing all targets...
[----] I, [2017-08-07T03:48:04.122794 #9679:1041130]  INFO -- : MIQ(ManageIQ::Providers::Openshift::ContainerManager::Refresher#refresh) EMS: [CTC CORE], id: [200000000000001] Refreshing targets for EMS...
[----] I, [2017-08-07T03:48:04.122862 #9679:1041130]  INFO -- : MIQ(ManageIQ::Providers::Openshift::ContainerManager::Refresher#refresh) EMS: [CTC CORE], id: [200000000000001]   ManageIQ::Providers::Openshift::ContainerManager [CTC CORE] id [200000000000001]
[----] I, [2017-08-07T03:48:04.125714 #9679:1041130]  INFO -- : MIQ(ManageIQ::Providers::Openshift::ContainerManager::Refresher#refresh_targets_for_ems) EMS: [CTC CORE], id: [200000000000001] Refreshing target ManageIQ::Providers::Openshift::ContainerManager [CTC CORE] id [200000000000001]...
[----] I, [2017-08-07T03:48:04.126386 #9679:1041130]  INFO -- : MIQ(ManageIQ::Providers::Openshift::ContainerManager#with_provider_connection) Connecting through ManageIQ::Providers::Openshift::ContainerManager: [CTC CORE]
[----] W, [2017-08-07T03:48:16.778352 #9679:1041130]  WARN -- : Unexpected Exception during refresh: HTTP status code 403, User "system:serviceaccount:management-infra:management-admin" cannot list all componentstatuses in the cluster
[----] I, [2017-08-07T03:48:16.778668 #9679:1041130]  INFO -- : MIQ(ManageIQ::Providers::Openshift::ContainerManager#with_provider_connection) Connecting through ManageIQ::Providers::Openshift::ContainerManager: [CTC CORE]
[----] E, [2017-08-07T03:51:49.136235 #9679:1041130] ERROR -- : MIQ(ManageIQ::Providers::Openshift::ContainerManager::Refresher#fetch_hawk_inv) string is not a recognized metric type

Version-Release number of selected component (if applicable):
CFME 5.8.0.17

How reproducible:
customer environment

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Federico Simoncelli 2017-08-08 17:39:56 EDT
(In reply to myoder from comment #0)
> ContainerManager#with_provider_connection) Connecting through
> ManageIQ::Providers::Openshift::ContainerManager: [CTC CORE]
> [----] E, [2017-08-07T03:51:49.136235 #9679:1041130] ERROR -- :
> MIQ(ManageIQ::Providers::Openshift::ContainerManager::
> Refresher#fetch_hawk_inv) string is not a recognized metric type

Zohar this error seems related to some code we introduced for the ops effort.

Please investigate this ASAP (as you see this comes form the field).
Michael (myoder@redhat.com) will be able to provide you all the information you need.

Thanks.
Comment 4 Zohar Gal-Or 2017-08-09 03:41:19 EDT
I can't seem to get into the customer portal ticket.

What are the Openshift and hawkular metrics versions on the provider?

oc version ?
metrics-hawkular-metrics ?
Comment 12 Zohar Gal-Or 2017-09-24 08:03:58 EDT
PR to remove hawkular inventory collection:
https://github.com/ManageIQ/manageiq-providers-openshift/pull/49
Comment 14 juwatts 2017-11-16 14:52:56 EST
Verification:

Case 1:
CFME 5.9.0.8
OpenShift 3.6 (Minumum OpenShift version supported in 5.9)

1) Added OpenShift provider into CFME, selecting the metrics type as Hawkular.
2) Select the OpenShift provider and ran a manual refresh
3) Verified no "string is not a recognized metric type" ERROR was logged during refresh

Case 2:
CFME 5.9.0.8
OpenShift 3.7

1) Added OpenShift provider into CFME, selecting the metrics type as Hawkluar and the alert type as Prometheus
2) Selected the OpenShift provider and ran a manual refresh
3) Verified no "string is not a recognized metric type" ERROR was logged during refresh

Note You need to log in before you can comment on or make changes to this bug.